> ## Documentation Index
> Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook URLs

> Get the webhook endpoint URLs to configure in your Stripe dashboard for test and live modes.



## OpenAPI

````yaml cloud-api/openapi.json get /api/v1/payments/stripe/projects/{project_id}/webhook-urls
openapi: 3.1.0
info:
  title: Dev Kit for AI API
  description: 'API for Dev Kit for AI: Developer Toolkit for AI-Powered Web Applications'
  version: 1.6.1
servers:
  - url: https://api.devkit4ai.com
    description: Dev Kit for AI Production Server
  - url: https://api.vibecoding.ad
    description: Vibe Coding Production Server
security: []
paths:
  /api/v1/payments/stripe/projects/{project_id}/webhook-urls:
    get:
      tags:
        - Stripe Configuration
      summary: Get Webhook URLs
      description: >-
        Get the webhook endpoint URLs to configure in your Stripe dashboard for
        test and live modes.
      operationId: >-
        get_webhook_urls_api_v1_payments_stripe_projects__project_id__webhook_urls_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StripeWebhookUrlsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    StripeWebhookUrlsResponse:
      properties:
        test_webhook_url:
          type: string
          title: Test Webhook Url
        live_webhook_url:
          type: string
          title: Live Webhook Url
      type: object
      required:
        - test_webhook_url
        - live_webhook_url
      title: StripeWebhookUrlsResponse
      description: Stripe webhook URLs for a project.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/login

````